package com.pj.bank_info_charges;

import java.util.List;
import com.pj.utils.so.SoMap;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.transaction.annotation.Transactional;
import com.pj.utils.sg.*;

/**
 * Service: bank_info_charges -- 银行回执信息-手续费
 * @author lbl
 */
@Service
@Transactional(rollbackFor = Exception.class)
public class BankInfoChargesService extends ServiceImpl<BankInfoChargesMapper, BankInfoCharges> implements IService<BankInfoCharges>{

	/** 底层 Mapper 对象 */
	@Autowired
	BankInfoChargesMapper bankInfoChargesMapper;

	/** 增 */
	void add(BankInfoCharges b){
		save(b);
	}

	/** 删 */
	void delete(Long id){
		removeById(id);
	}

	/** 改 */
	void update(BankInfoCharges b){
		updateById(b);

	}

	/** 查 */
	BankInfoCharges getById(Integer id){
		return super.getById(id);
	}

	/** 查集合 - 根据条件（参数为空时代表忽略指定条件） */
	List<BankInfoCharges> getList(SoMap so) {
		return bankInfoChargesMapper.getList(so);
	}


}
